package cokr.xit.ens.modules.common.ctgy.sys.mng.domain.repository;

import java.util.List;
import java.util.Optional;

public interface TmpltMngRepositorySupport<T, P, D> {

    Optional<T> findFetchByOrgCdAndTmpltCd(String orgCd, String tmpltCd);

    List<T> findAllFetchBySearchDTO(P searchDTO);

    Optional<D> findDtoByOrgCdAndTmpltCd(String orgCd, String tmpltCd);

    List<D> findAllDtoBySearchDTO(P searchDTO);

    Optional<T> findFetchByOrgCdAndTmpltCdAndUseYn(String orgCd, String tmpltCd, String useYn);
}
